Skip to main content
PUT
/
credit-notes
/
{creditnote}
/
line-item-groups
/
{id}
Update a Credit Note Line Item Group
curl --request PUT \
  --url https://eu.sequencehq.com/api/credit-notes/{creditnote}/line-item-groups/{id} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "Users",
  "description": "Credit note for users"
}
'
import requests

url = "https://eu.sequencehq.com/api/credit-notes/{creditnote}/line-item-groups/{id}"

payload = {
    "title": "Users",
    "description": "Credit note for users"
}
headers = {
    "Authorization": "<authorization>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
  body: JSON.stringify({title: 'Users', description: 'Credit note for users'})
};

fetch('https://eu.sequencehq.com/api/credit-notes/{creditnote}/line-item-groups/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "e5bc0f12-4bc1-f821-bc2d-04639a16f9ec",
  "creditNoteId": "af60cab3-812d-4250-a051-0fb7133a00c7",
  "lineItemGroupId": "af60cab3-812d-4250-a051-0fb7133a00c7",
  "title": "Users",
  "description": "Credit note for users",
  "index": 2,
  "netTotal": "51.20",
  "totalTax": "2.50",
  "grossTotal": "101.23"
}
This response has no body data.
This response has no body data.
This response has no body data.

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

sequence-version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

creditnote
string
required

The CreditNote ID

id
string
required

Credit Note Line Item Group ID

Body

application/json
title
string
required

Credit Note Line Item Group Title

Example:

"Users"

description
string

Credit Note Line Item Group Description

Example:

"Credit note for users"

Response

OK

id
string
required

Credit Note Line Item Group ID

Example:

"e5bc0f12-4bc1-f821-bc2d-04639a16f9ec"

creditNoteId
string
required

Credit Note ID

Example:

"af60cab3-812d-4250-a051-0fb7133a00c7"

title
string
required

Credit Note Line Item Group Title

Example:

"Users"

index
integer
required

Index (for maintaining order)

Example:

2

netTotal
string
required

Net total

Example:

"51.20"

totalTax
string
required

Total tax

Example:

"2.50"

grossTotal
string
required

Gross total

Example:

"101.23"

lineItemGroupId
string

Line Item Group ID

Example:

"af60cab3-812d-4250-a051-0fb7133a00c7"

description
string

Credit Note Line Item Group Description

Example:

"Credit note for users"